Package be.ehealth.business.mycarenetdomaincommons.builders.impl

# Class BuilderUtils

java.lang.Object
be.ehealth.business.mycarenetdomaincommons.builders.impl.BuilderUtils

public final class BuilderUtils extends Object
utility class for builders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static byte[]`
  `buildHash(byte[] decompressedBlob)`
  `MessageDigest` is used to create the hash
  `static byte[]`
  `checkAndDecompress(byte[] content, String contentEncoding, byte[] blobHashValue, boolean hashTagRequired)`
  `static void`
  `checkHash(byte[] blobHashValue, byte[] decompressedBlob)`
  `static byte[]`
  `decompressBlob(byte[] decompressedBlob, String contentEncoding)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### checkAndDecompress

    public static byte[] checkAndDecompress(byte[] content, String contentEncoding, byte[] blobHashValue, boolean hashTagRequired) throws InvalidBlobContentConnectorException, TechnicalConnectorException
    Parameters:
      `content` -
      `contentEncoding` -
      `blobHashValue` -
      `hashTagRequired` -
    Returns:
    Throws:
      `InvalidBlobContentConnectorException`
      `TechnicalConnectorException`

  - ### checkHash

    public static void checkHash(byte[] blobHashValue, byte[] decompressedBlob) throws InvalidBlobContentConnectorException, TechnicalConnectorException
    Parameters:
      `blobHashValue` -
      `decompressedBlob` -
    Throws:
      `InvalidBlobContentConnectorException`
      `TechnicalConnectorException`

  - ### decompressBlob

    public static byte[] decompressBlob(byte[] decompressedBlob, String contentEncoding)
    Parameters:
      `decompressedBlob` -
      `contentEncoding` -
    Returns:

  - ### buildHash

    public static byte[] buildHash(byte[] decompressedBlob) throws NoSuchAlgorithmException
    `MessageDigest` is used to create the hash
    Parameters:
      `decompressedBlob` -
    Returns:
    Throws:
      `NoSuchAlgorithmException`